This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 838403 - Fedora 17 repository does not exist - can't install rhc!
Fedora 17 repository does not exist - can't install rhc!
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Documentation (Show other bugs)
1.x
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Adam Miller
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 22:01 EDT by M. Edward (Ed) Borasky
Modified: 2015-07-19 19:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-16 09:41:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M. Edward (Ed) Borasky 2012-07-08 22:01:42 EDT
Description of problem:

1. Install Fedora 17

2. Download https://openshift.redhat.com/app/repo/openshift.repo as described on http://docs.redhat.com/docs/en-US/OpenShift/2.0/html/Getting_Started_Guide/sect-Getting_Started_Guide-Installing_on_Fedora-Installing_the_Client_Tools.html

3. Run "sudo yum check-update" from the command line;

$ sudo yum check-update 
Loaded plugins: langpacks, presto, refresh-packagekit
https://openshift.redhat.com/app/repo/rpms/17/x86_64/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found : https://openshift.redhat.com/app/repo/rpms/17/x86_64/repodata/repomd.xml
Trying other mirror.
Error: failure: repodata/repomd.xml from openshift: [Errno 256] No more mirrors to try.

4. Try browsing to https://openshift.redhat.com/app/repo/rpms/17/x86_64/repodata/repomd.xml. There's no file there!
Comment 1 David O'Brien 2012-07-09 23:07:20 EDT
The user doc is not actually wrong ($releasever and $basearch are ok) but the repo is not publicly available for F17 yet.

Adam is going to address the repo/rpm availability issue.
Comment 2 Troy Dawson 2012-07-11 12:31:56 EDT
In my opinion, the documentation is needs to be updated so that Fedora users use the packages in Fedora and not our repo.
We need to eventually do this anyway, and it would be good to start now.
The rubygem-rhc in Fedora is usually only two days or so outdated, except when we add dependancies not in Fedora.

Side note about Fedora 17. The rhc rpm's that we made and put up on our openshift site are *not* compatable with Fedora 17.

We have been lucky up until Fedora 16.  It's really only luck that we've been able to use our RHEL6 rpm's with Fedora.  Most packages are not that compatible.
Comment 3 David O'Brien 2012-07-12 23:02:37 EDT
It's easy for us to update the instructions to use the Fedora repo and not https://openshift.redhat.com/app/repo/rpms/

We just need to know when and what.

afaik there is also a preference to use gem installs, and again, all we need is the info to add to the doc. We can patch and push any time.
Comment 4 Troy Dawson 2012-07-13 10:30:24 EDT
I really like the wording for Fedora and RHEL here

https://openshift.redhat.com/community/developers/install-the-client-tools

I don't know about the other sections, but I think if we put the Fedora and Red Hat section into the documentation, that would be great.
Comment 5 David O'Brien 2012-07-15 01:53:20 EDT
Re Comment 4, is it accurate?

"OpenShift is available as as an RPM in the YUM package manager on Fedora 16 and 17"

I thought the original bug was about F17 rpm files not being available.

Not sure what you mean about this bit:
"I don't know about the other sections, but I think if we put the Fedora and Red Hat section into the documentation, that would be great."

If by "the documentation" you mean what's on docs.redhat.com then it's already there, and has been for months.

If you want to change what's in these sections, pls raise a BZ.
Comment 6 Troy Dawson 2012-07-16 09:38:58 EDT
New bug opened.
https://bugzilla.redhat.com/show_bug.cgi?id=840488
Comment 7 Troy Dawson 2012-07-16 09:41:27 EDT
Closing.  Documentation needs to be updated wich is bug 840488

Note You need to log in before you can comment on or make changes to this bug.